Package org.eclipse.net4j.util.ui

# Class StructuredContentProvider<INPUT>

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.jface.viewers.ViewerSorter
org.eclipse.net4j.util.ui.StructuredContentProvider<INPUT>

All Implemented Interfaces:
  `EventListener`, `IContentProvider`, `IStructuredContentProvider`, `IListener`

Direct Known Subclasses:
  `FactoryTypeContentProvider`, `ItemProvider`, `StaticContentProvider`

public abstract class StructuredContentProvider<INPUT> extends ViewerSorter implements IStructuredContentProvider, IListener

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

## Constructor Summary

Constructors
Constructor
Description
`StructuredContentProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`connectInput(INPUT input)`
`protected void`
`disconnectInput(INPUT input)`
`void`
`dispose()`
`void`
`expandElement(Object element, int level)`
`protected Font`
`getBoldFont()`
`protected Display`
`getDisplay()`
`INPUT`
`getInput()`
`protected Font`
`getItalicFont()`
`StructuredViewer`
`getViewer()`
`void`
`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`void`
`notifyEvent(IEvent event)`
`void`
`refreshElement(Object element, boolean updateLabels)`
`void`
`refreshSynced(Object element, boolean updateLabels)`
Deprecated.
Use `refreshElement(Object, boolean)`
`void`
`refreshViewer(boolean updateLabels)`
`void`
`revealElement(Object element)`
`void`
`selectElement(Object element, boolean reveal)`
`void`
`updateLabels(Object element)`

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IStructuredContentProvider

`getElements`

## Constructor Details

### StructuredContentProvider

public StructuredContentProvider()

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IContentProvider`

### getInput

public INPUT getInput()

### getViewer

public StructuredViewer getViewer()

### inputChanged

public void inputChanged(Viewer viewer, Object oldInput, Object newInput)

Specified by:
  `inputChanged` in interface `IContentProvider`

### connectInput

protected void connectInput(INPUT input)

### disconnectInput

protected void disconnectInput(INPUT input)

### notifyEvent

public void notifyEvent(IEvent event)

Specified by:
  `notifyEvent` in interface `IListener`

### refreshViewer

public void refreshViewer(boolean updateLabels)

Since:
  3.0

### refreshElement

public void refreshElement(Object element, boolean updateLabels)

Since:
  3.1

### refreshSynced

@Deprecated public void refreshSynced(Object element, boolean updateLabels)
Deprecated.
Use `refreshElement(Object, boolean)`

Since:
  3.1

### updateLabels

public void updateLabels(Object element)

Since:
  3.1

### revealElement

public void revealElement(Object element)

Since:
  3.1

### selectElement

public void selectElement(Object element, boolean reveal)

Since:
  3.1

### expandElement

public void expandElement(Object element, int level)

Since:
  3.3

### getDisplay

protected Display getDisplay()

### getItalicFont

protected Font getItalicFont()

Since:
  3.1

### getBoldFont

protected Font getBoldFont()

Since:
  3.3